Virtual Account Detail

Get detailed information of a virtual account (VA) by UUID via SePay API v2.


Virtual Account Detail

GET
https://userapi.sepay.vn/v2/bank-accounts/{ba_xid}/va/{va_xid}

Get detailed information of a virtual account by UUID.

Parameters
ba_xidstringrequired

UUID tài khoản ngân hàng

va_xidstringrequired

UUID tài khoản ảo

Code Examples
>
>
>
curl --request GET \
--url https://userapi.sepay.vn/v2/bank-accounts/f9e8d7c6-b5a4-3210-fedc-ba0987654321/va/c3d4e5f6-a7b8-9012-cdef-123456789013 \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
Response
Response 200
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
{
"status": "success",
"data": {
"id": "c3d4e5f6-a7b8-9012-cdef-345678901234",
"va": "VA001234",
"sub_holder_name": "NGUYEN VAN A",
"label": "VA thanh toan",
"active": 1,
"official": 1,
"static": 0,
"bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
"created_at": "2025-06-01 09:00:00",
"updated_at": "2026-01-08 10:20:45"
}
}
Response 200 - Virtual account detail
{
  "status": "success",
  "data": {
    "id": "c3d4e5f6-a7b8-9012-cdef-123456789013",
    "va": "VA001234",
    "sub_holder_name": "NGUYEN VAN A",
    "label": "Thu ho khach le",
    "active": 1,
    "official": 1,
    "static": 0,
    "bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
    "created_at": "2025-06-15 10:00:00",
    "updated_at": "2026-01-05 10:20:00"
  }
}
Errors
  • 404: Returned if the VA does not belong to the specified bank account or the authenticated company